Get Transcription Status

Get transcription status

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

transcription_idUUIDRequired
ID of the transcription. Use the ID returned from the Create Transcription endpoint.

Response

This endpoint returns an object.
idUUID
ID of the transcription
titlestring
Title of the transcription
created_atdatetime
When the transcription was created
primary_languageenum

The primary language of the audio content, which can be English (en), Hebrew (he), or Yiddish (yi).

Allowed values:
hebrew_word_formatlist of enums

Indicates how Hebrew words are transcribed in the response when the primary language is English.

  • Hebrew words are in Hebrew letters if “he” is specified.
  • Hebrew words are transliterated into English letters if “en” is specified.
  • If both “he” and “en” are specified, both versions are provided back-to-back for each Hebrew word. Transliterated Hebrew words are surrounded by <i> tags in the response text.
Allowed values:
statusenum
Current status of the transcription
num_speakersinteger

Number of speakers in the audio. This can be null while auto-detection is pending or if no count was determined.

durationdouble
Duration of the audio in seconds. If None, it means the duration was not calculated yet.
modelstring
Model used for the transcription. V1 is the latest and most accurate model, especially for audio with longer stretches of Hebrew. V0 is suitable for audio with fewer Hebrew words.

Errors

401
Authentication Error
404
Transcription Not Found
429
Rate Limit Error